Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class ListShuttleRowKey

    java.lang.Object
      org.richfaces.model.ListShuttleRowKey

All Implemented Interfaces:
  java.io.Serializable

    public class ListShuttleRowKey

extends java.lang.Object
implements java.io.Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`ListShuttleRowKey(java.lang.Object rowKey, boolean source)`
`ListShuttleRowKey(java.lang.Object rowKey, boolean source, boolean facadeSource)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getRowKey()`
`int` | `hashCode()`
`boolean` | `isFacadeSource()`
`boolean` | `isSource()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListShuttleRowKey

    public ListShuttleRowKey(java.lang.Object rowKey,
                             boolean source)

### ListShuttleRowKey

    public ListShuttleRowKey(java.lang.Object rowKey,
                             boolean source,
                             boolean facadeSource)

Method Detail

### isSource

    public boolean isSource()

### isFacadeSource

    public boolean isFacadeSource()

### getRowKey

    public java.lang.Object getRowKey()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.